Archive owner group
curl --request POST \
--url https://api.sortx.co.uk/maintenance-pro/owner-groups/{groupId}/archive \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"requestId": "<string>",
"expectedRevision": 123
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({requestId: '<string>', expectedRevision: 123})
};
fetch('https://api.sortx.co.uk/maintenance-pro/owner-groups/{groupId}/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/maintenance-pro/owner-groups/{groupId}/archive"
payload = {
"requestId": "<string>",
"expectedRevision": 123
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"sharedPortal": true,
"combinedUpdates": true,
"leadContactId": "<string>",
"spendLimit": {
"amountMinor": 0,
"currency": "<string>"
},
"revision": 123,
"members": [
{
"contactId": "<string>",
"name": "<string>",
"email": "<string>",
"properties": 123
}
],
"properties": 123,
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}maintenance-pro
Archive owner group
Archive an owner group: its members leave it and nothing is shared any more (owner or admin)
POST
/
maintenance-pro
/
owner-groups
/
{groupId}
/
archive
Archive owner group
curl --request POST \
--url https://api.sortx.co.uk/maintenance-pro/owner-groups/{groupId}/archive \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"requestId": "<string>",
"expectedRevision": 123
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({requestId: '<string>', expectedRevision: 123})
};
fetch('https://api.sortx.co.uk/maintenance-pro/owner-groups/{groupId}/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/maintenance-pro/owner-groups/{groupId}/archive"
payload = {
"requestId": "<string>",
"expectedRevision": 123
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"sharedPortal": true,
"combinedUpdates": true,
"leadContactId": "<string>",
"spendLimit": {
"amountMinor": 0,
"currency": "<string>"
},
"revision": 123,
"members": [
{
"contactId": "<string>",
"name": "<string>",
"email": "<string>",
"properties": 123
}
],
"properties": 123,
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes